%define module cups
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Summary:       Python bindings for the CUPS API
Name:          python-%{module}
Version:       1.9.73
Release:       %mkrel 1
Source0:       http://cyberelk.net/tim/data/pycups/pycups-%{version}.tar.xz
License:       BSD 
Group:         Development/Python
Url:           http://cyberelk.net/tim/software/pycups/
BuildRequires: python-devel
BuildRequires: cups-devel
BuildRequires: epydoc
BuildRequires: python3-devel
Conflicts:     python3-%{module} < %{version}-%{release}

%description
Python bindings for the CUPS API.

%package doc
Summary:       Documentation for python-cups
Group:         Documentation

%description doc
Documentation for python-cups.

%package -n python3-%{module}
Group:         Development/Python
Summary:       Python 3 bindings for the CUPS API
Conflicts:     %{name} < %{version}-%{release}

%description -n python3-%{module}
Python 3 bindings for the CUPS API.

%files
%{python2_sitearch}/cups.so
%{python2_sitearch}/pycups*.egg-info
%{_rpmconfigdir}/fileattrs/psdriver.attr
%{_rpmconfigdir}/postscriptdriver.prov

%files doc
%doc examples html

%files -n python3-%{module}
%{python3_sitearch}/cups.cpython-3*.so
%{python3_sitearch}/pycups*.egg-info
%{_rpmconfigdir}/fileattrs/psdriver.attr
%{_rpmconfigdir}/postscriptdriver.prov

#--------------------------------------------------------------------

%prep
%setup -q -n pycups-%version
cp -a . %{py3dir}

%build
make CFLAGS="%{optflags} -fno-strict-aliasing"
make doc

pushd %{py3dir}
%py3_build
popd

%install
make install DESTDIR="%{buildroot}"

pushd %{py3dir}
%py3_install
chmod 755 %{buildroot}%{python3_sitearch}/cups*.so
popd


%changelog
* Mon Feb 05 2018 yodelu <yodelu> 1.9.73-1.pclos2018
+ update
